//					RELOC.H

#ifndef reloch
#define reloch

struct relocheader
{ unsigned long rva;
  unsigned long len;
};

struct fixups
{ struct fixups *next;
  unsigned long addr; 
};

class reloc
{ private:
    unsigned long rtable[16];
    struct fixups *fixes,*lastfix;

  public:
	 reloc();
	 ~reloc();
    void buildrelocdata(void);
    void addrelocaddr(unsigned long addr);
    BOOL isreloc(unsigned long addr);
};

#endif